package de.chaubold.gleshelper;

import de.chaubold.math.Vec3;

public class Material {
	public String name=null;
	public String texture=null;
	public String bumpmapTexture=null;
	public String lightMap=null;
	public String shader=null;
	
	public Vec3 color=null;
	public Vec3 ambient=null;
	public Vec3 specular=null;
	public Vec3 diffuse=null;
	
	public Material(String name)
	{
		this.name = name;
		color = new Vec3(1.0f,1.0f,1.0f);
		ambient = new Vec3(0.8f,0.8f,0.8f);
		specular = new Vec3(0.3f,0.3f,0.3f);
		diffuse = new Vec3(0.4f,0.4f,0.4f);
	}
	
	
	@Override
	public String toString() {
		return name;
	}	
}
